lidi = {}
with open('staty_lidi.log') as soubor:
    for řádka in soubor:
        # vyčištění načtené textové řádky a její rozdělení na dva prvky
        stát, lidí = řádka.strip().split(': ')
        # uložení zjištěných údajů do slovníku
        lidi[stát] = lidí
print('Lidí:', len(lidi))    # 237

plochy = {}
with open('staty_plochy.log') as soubor:
    for řádka in soubor:
        # vyčištění načtené textové řádky a její rozdělení na dva prvky
        stát, plocha = řádka.strip().split(': ')
        # uložení zjištěných údajů do slovníku
        plochy[stát] = plocha
print('Ploch:', len(plochy))  # 261

# analýza dat
lidi_jako_množina = set(lidi)
plochy_jako_množina = set(plochy)
# průnik dat
print(len(lidi_jako_množina & plochy_jako_množina)) # 237
# rozdíl
print(len(plochy_jako_množina - lidi_jako_množina)) # 24
print(plochy_jako_množina - lidi_jako_množina)

'''
{'Spratly Islands', 'Bouvet Island', 'Howland Island', 'Bassas da India', 'South Georgia and the South Sandwich Islands', 'Coral Sea Islands', 'Dhekelia', 'French Southern and Antarctic Lands', 'Palmyra Atoll', 'Ashmore and Cartier Islands', 'Midway Islands', 'Navassa Island', 'Wake Island', 'Juan de Nova Island', 'Clipperton Island', 'Tromelin Island', 'British Indian Ocean Territory', 'Baker Island', 'Kingman Reef', 'Akrotiri', 'Europa Island', 'Jan Mayen', 'Jarvis Island', 'Glorioso Islands'}
'''
